Stats (older)

Ambassadors of the brand's ambassador programs

GET/api/public/v1/stats/ambassadors
LiveAnswers from your brand's records now.

Operation id getAmbassadors

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/stats/ambassadors" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
require_applicationquerystring Default true
pagequeryinteger Default 1
per_pagequeryinteger Default 20
emailquerystring
first_namequerystring
last_namequerystring
searchquerystring
approved_at_fromquerystring (date)
approved_at_toquerystring (date)
campaign_idqueryinteger

Responses

200Success

FieldTypeNotes
dataarray of object
data[].[].approved_atstring (date-time)
data[].[].campaign_affiliate_idinteger
data[].[].campaign_idinteger
data[].[].campaign_namestring
data[].[].custom_field_answersarray of object
data[].[].custom_field_answers[].[].answerstring
data[].[].custom_field_answers[].[].field_typestring
data[].[].custom_field_answers[].[].questionstring
data[].[].emailstring
data[].[].first_namestring
data[].[].joined_atstring
data[].[].last_namestring
data[].[].namestring
data[].[].social_accountsarray of object
data[].[].social_accounts[].[].platformstring
data[].[].social_accounts[].[].profile_share_urlstring
data[].[].social_accounts[].[].usernamestring
data[].[].user_idinteger
data[].[].user_locationstring
data[].[].user_phone_numberstring, nullable
metaobject
meta.current_pageinteger
meta.per_pageinteger
meta.total_ambassadorsinteger
meta.total_pagesinteger

Example

{
  "data": [
    {
      "approved_at": "2026-11-01T15:04:05Z",
      "campaign_affiliate_id": 1024,
      "campaign_id": 1024,
      "campaign_name": "Example name",
      "custom_field_answers": [
        {
          "answer": "string",
          "field_type": "string",
          "question": "string"
        }
      ],
      "email": "creator@example.com",
      "first_name": "Example name",
      "joined_at": "2026-11-01T15:04:05Z",
      "last_name": "Example name",
      "name": "Example name",
      "social_accounts": [
        {
          "platform": "string",
          "profile_share_url": "https://example.com/p/1",
          "username": "Example name"
        }
      ],
      "user_id": 1024,
      "user_location": "string",
      "user_phone_number": "string"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 1,
    "total_ambassadors": 3,
    "total_pages": 1
  }
}

Errors: 400401with an error and usually a message. See errors.

Example values are made up from each field's type and name.